Bug 456618 - NETGEAR FA411 fails to work with Fedora8 2.6.25 kernels
Summary: NETGEAR FA411 fails to work with Fedora8 2.6.25 kernels
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 8
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-24 23:37 UTC by Dave Blackburn
Modified: 2009-01-09 06:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:41:22 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 440209 0 low CLOSED PCMCIA card correctly named, no driver loaded 2021-02-22 00:41:40 UTC

Description Dave Blackburn 2008-07-24 23:37:43 UTC
Description of problem:

Running Fedora8 kernel 2.6.25.9-40.fc8 NETGEAR FA411 fails to initialize.

Log file contains:
  kernel: pcnet_cs: this is an AX88190 card!
  kernel: pcnet_cs: use axnet_cs instead.


Version-Release number of selected component (if applicable):

  Jul  5 21:46:42 cs4 kernel: Linux version 2.6.25.9-40.fc8 (mockbuild@x86-1) 
  (gcc version 4.1.2 20070925 (Red Hat 4.1.2-33)) 
  #1 SMP Fri Jun 27 16:25:53 EDT 2008


How reproducible:

Running on laptop with device:

  bus: PCMCIA
  device: eth1
  driver: pcnet_cs
  desc: "NETGEAR FA411 Fast Ethernet"

Steps to Reproduce:
1. Boot a 2.6.25 kernel
2. Check /var/log/messages
3.
  
Actual results (log file):
  kernel: pcnet_cs: this is an AX88190 card!
  kernel: pcnet_cs: use axnet_cs instead.


Expected results (i.e. per 2.6.24.x kernels):

  kernel: eth1: NE2000 Compatible: io 0x300, irq 3, hw_addr 00:40:F4:23:94:02


Additional info:

Running a kernel.org vanilla 2.6.25.2 kernel (built locally with suffix lcc01) 
eth1 fails to initialize with the same log file messages:
  kernel: pcnet_cs: this is an AX88190 card!
  kernel: pcnet_cs: use axnet_cs instead.

  Jul 24 14:13:55 cs4 kernel: Linux version 2.6.25.2lcc01 (blackburn@cs4) 
  (gcc version 4.1.2 20070925 (Red Hat 4.1.2-33)) #1 SMP Wed Jul 16 18:50:57 MDT
2008

  pcnet_cs.c
  static hw_info_t *get_ax88190(struct pcmcia_device *link)
  {
  ...
      printk(KERN_NOTICE "pcnet_cs: this is an AX88190 card!\n");
      printk(KERN_NOTICE "pcnet_cs: use axnet_cs instead.\n");
      return NULL;
  } 

It appears that, in the kernel.org 2.6.25.x kernels, support for the NETGEAR FA411
was withdrawn from pcnet_cs but does not work in the axnet_cs driver.

After adding the following to /etc/modprobe.conf
  blacklist pcnet_cs
  alias eth1 axnet_cs
the 2.6.25.2 kernel still fails to initialize the NETGEAR FA411.

Upon this sequence:
  remove NETGEAR FA411
  reinsert NETGEAR FA411
  cmd: pccardctl insert
  cmd: ifup eth1
The following is displayed:
  axnet_cs device eth1 does not seem to be present, delaying initialization.

Comment 1 Chuck Ebbert 2008-07-25 23:08:30 UTC
Can you post the output of running 'pccardctl ident' with the adapter inserted?

Comment 2 Dave Blackburn 2008-07-26 03:46:58 UTC
 pccardctl ident 
Socket 0:
  product info: "NETGEAR", "FA411", "Fast Ethernet", ""
  manfid: 0x0149, 0x0411
  function: 0x6 (network), 9

Note: while running kernel: 2.6.24.7-92.fc8
If I see any difference while running: 2.6.25.2 then I'll add that later.

Here's info from /sys

dir /sys/class/net/eth1
cat /sys/class/net/eth1/addr_len
6
cat /sys/class/net/eth1/address
00:40:f4:23:94:02
cat /sys/class/net/eth1/broadcast
ff:ff:ff:ff:ff:ff
cat /sys/class/net/eth1/carrier
1
lnk /sys/class/net/eth1/device ->
../../../devices/pci0000:00/0000:00:1e.0/0000:02:03.0/0.0
cat /sys/class/net/eth1/dormant
0
cat /sys/class/net/eth1/features
0x0
cat /sys/class/net/eth1/flags
0x1003
cat /sys/class/net/eth1/ifindex
3
cat /sys/class/net/eth1/iflink
3
cat /sys/class/net/eth1/link_mode
0
cat /sys/class/net/eth1/mtu
1500
cat /sys/class/net/eth1/operstate
unknown
dir /sys/class/net/eth1/power
cat /sys/class/net/eth1/power/wakeup

dir /sys/class/net/eth1/statistics
...
lnk /sys/class/net/eth1/subsystem -> ../../../class/net
cat /sys/class/net/eth1/tx_queue_len
1000
cat /sys/class/net/eth1/type
1
cat /sys/class/net/eth1/uevent
PHYSDEVPATH=/devices/pci0000:00/0000:00:1e.0/0000:02:03.0/0.0
PHYSDEVBUS=pcmcia
PHYSDEVDRIVER=pcnet_cs
INTERFACE=eth1
IFINDEX=3


Comment 3 Dave Blackburn 2008-07-26 18:31:06 UTC
From sys for 2.6.24.7-92.fc8 kernel
cat /sys/devices/pci0000:00/0000:00:1e.0/0000:02:03.0/0.0/card_id 
0x0411
lnk /sys/devices/pci0000:00/0000:00:1e.0/0000:02:03.0/0.0/driver ->
../../../../../bus/pcmcia/drivers/pcnet_cs
...
lnk /sys/devices/pci0000:00/0000:00:1e.0/0000:02:03.0/0.0/net:eth1 ->
../../../../../class/net/eth1
...
cat /sys/devices/pci0000:00/0000:00:1e.0/0000:02:03.0/irq
16


From sys for 2.6.25.2 kernel
cat /sys/devices/pci0000:00/0000:00:1e.0/0000:02:03.0/0.0/card_id
0xc1ab
...
cat /sys/devices/pci0000:00/0000:00:1e.0/0000:02:03.0/irq
17
...
lnk /sys/devices/pci0000:00/0000:00:1e.0/0000:02:03.0/pci_bus:0000:03 ->
../../../../class/pci_bus/0000:03

/usr/src/debug/kernel-2.6.25/linux-2.6.25.i686/drivers/net/pcmcia/pcnet_cs.c
    if ((link->conf.ConfigBase == 0x03c0)
	&& (link->manf_id == 0x149) && (link->card_id = 0xc1ab)) {
	printk(KERN_INFO "pcnet_cs: this is an AX88190 card!\n");
	printk(KERN_INFO "pcnet_cs: use axnet_cs instead.\n");
	goto failed;
    }

Hmm card_id was 0x0411 for 2.6.24 kernel but is 0xc1ab for 2.6.25 kernel.
Maybe card_id was set wrong? resulting in wrong rejection by pcnet_cs?


Comment 4 Dave Blackburn 2008-07-30 22:44:57 UTC
I created a patched kernel: 2.6.25.11-97.LCC01.fc8.i686 based on the
corresponding Fedora srpm.
With this patch the NETGEAR FA411 works fine with the pcnet_cs driver.
The patch simply reverses a portion of a prior patch to pcnet_cs.
The patch is:
$ diff -ub {a,b}/drivers/net/pcmcia/pcnet_cs.c
--- a/drivers/net/pcmcia/pcnet_cs.c     2008-04-16 20:49:44.000000000 -0600
+++ b/drivers/net/pcmcia/pcnet_cs.c     2008-07-26 17:41:10.000000000 -0600
@@ -590,13 +590,6 @@
        dev->if_port = 0;
     }
 
-    if ((link->conf.ConfigBase == 0x03c0)
-       && (link->manf_id == 0x149) && (link->card_id = 0xc1ab)) {
-       printk(KERN_INFO "pcnet_cs: this is an AX88190 card!\n");
-       printk(KERN_INFO "pcnet_cs: use axnet_cs instead.\n");
-       goto failed;
-    }
-
     local_hw_info = get_hwinfo(link);
     if (local_hw_info == NULL)
        local_hw_info = get_prom(link);
@@ -1574,7 +1567,7 @@
        PCMCIA_DEVICE_MANF_CARD(0x0104, 0x0145),
        PCMCIA_DEVICE_MANF_CARD(0x0149, 0x0230),
        PCMCIA_DEVICE_MANF_CARD(0x0149, 0x4530),
-       PCMCIA_DEVICE_MANF_CARD(0x0149, 0xc1ab),
+/*     PCMCIA_DEVICE_MANF_CARD(0x0149, 0xc1ab), conflict with axnet_cs */
        PCMCIA_DEVICE_MANF_CARD(0x0186, 0x0110),
        PCMCIA_DEVICE_MANF_CARD(0x01bf, 0x2328),



Comment 5 Chuck Ebbert 2008-07-31 04:56:13 UTC
Looks like the patch that went into 2.6.25 is broken quite a bit.

That first line should read like this?:

  if ((link->conf.ConfigBase != 0x03c0)

And also nothing was added the the axnet_cs driver to make it work for ID
0x0149/0xc1ab.



Comment 6 Bug Zapper 2008-11-26 11:02:24 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-01-09 06:41:22 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.